# Journal de bord du Mooc "Recherche reproductible"

## Choses que j'ai apprise dans ce MOOC, références utiles ou softwares


### Utilisation d'un language de balisage léger

**Qu'est ce qu'un language de balisage léger?**
Un balise est un caractère qui permet de structure le texte et sera invisible pour le lecteur final.

Un language de balisage léger est :
Un type de language de balisage utilisant une ;**syntaxe simple** , conçu pour qu’un fichier en ce language soit **aisé à saisir avec un éditeur de texte simple** , **facile à lire dans sa forme non formatée, c’est-à-dire sans logiciel dédié comme un navigateur internet**.
Exemple : « **MarkDown** » avec éditeur « remarkable » qui traduit le txt en html. Le language de balisage léger le plus communément utilisé est « **wikitexte** » de wikipédia. Il y a également **AsciiDoc**, **ReStructuredText** pour la programmation python. Un language de balisage plus lourd à manipuler est le language **HTML** dont les fichiers sources au format txt mais nécessitent des éditeurs spécialisés.

**Quel est l'intérêt d'un language de balisage léger?**
 Les données encodées en fichiers txt sont encodés en format UFT-8, qui pourront être lus par un éditeur de texte, même dans des années. Contrairement aux fichiers txt, il est possible de changer la police, de barrer des mots, d'ajouter des images et des hyperliens. Ce language combiner la légèreté des fichiers txt simples avec le confort de lecture des languages de balisage! 
 Le choix du langage de balisage importe peu puisqu’on pourra toujours les traduire en pdf, docx… avec des outils de conversion. Il est possible d'écrire en Markdown dans notepad++. les languages de balisages légers permettent tout en travaillant sur un fichier texte, d'écrire rapidement nos notes sur n'importe quel éditeur et de structurer celles-ci. 




### Utilisation de markdown
Ecrire en Markdown

#### Syntaxe Headers
    # This is an tag
    ## This is an tag
    ###### This is an tag
#### Emphasis
    *This text will be italic*
    _This will also be italic_

    **This text will be bold**
    __This will also be bold__

    _You **can** combine them_

#### Lists
##### Unordered
    - Item 1
    - Item 2
        - Item 2a
        - Item 2b
##### Ordered
    1. Item 1
    2. Item 2
    3. Item 3
        1. Item 3a
        2. Item 3b

#### Images

    ![GitHub Logo](/images/logo.png)
    Format: ![Alt Text](url)

#### Links
    http://github.com - automatic!
    [GitHub](http://github.com)

#### Blockquotes
    As Kanye West said:

    > We're living the future so
    > the present is our past.

#### Inline code
    To print some text with Python, you should use the `print()` function.
    ```
    print("Hello world!")
    ```

Ressources:
Comment écrire en Markdown : https://gitlab.inria.fr/learninglab/mooc-rr/mooc-rr-ressources/blob/master//module1/ressources/introduction_to_markdown_fr.org ou https://en.wikipedia.org/wiki/Markdown#Example ou https://guides.github.com/features/mastering-markdown/

Didacticiel markdown et pandoc : https://enacit.epfl.ch/cours/markdown-pandoc/

### Editeurs et convertisseurs Markdown

#### Convertisseurs

 - Pandoc: Quand on utilise Rstudio, on a d’office Pandoc installé sur la machine , idem pour jupyter , pandoc permet de convertir le fichier .md markdown en fichier pdf, docx, html etc… 

 - Des sites comme http://www.markdowntopdf.com/ et http://markdown2pdf.com/ permettent de convertir en ligne un fichier Markdown en un fichier pdf.

 - Le projet CommonMark propose, en plus d'une spécification plus rigoureuse de la syntaxe Markdown, des convertisseurs Markdown → html / LaTeX (et plus) écrits en C et en JavaScript (https://github.com/CommonMark/CommonMark).

 - Le site de John Gruber, le créateur de Markdown, fournit un convertisseur Markdown → html écrit en Perl. https://daringfireball.net/projects/markdown/ 

 - MultiMarkdown est une autre extension de Markdown qui vient avec son convertisseur Markdown → html écrit en C. https://fletcherpenney.net/multimarkdown/

 - grip est un serveur écrit en Python qui permet de convertir et visualiser à la volée des fichiers Markdown avec son navigateur (très utile pour éviter d'avoir à faire des « commits » en grande quantité lorsqu'on écrit de tels fichiers pour un dépôt GitHub ou GitLab). https://github.com/joeyespo/grip

La conversion en pdf passe toujours par LaTeX ce qui nécessite d'avoir une version complète et à jour de ce logiciel sur sa machine


## Données quotidiennes intéressantes (temps, etc.)
- 04/05/2020 nuageux T°= 21°C à 03 PM
- 05/05/2020